h("div#testId.public", { attributes: {
    "ng-if": "!isSignedIn && publicTheme.isLoaded",
    "favicon-image-data": "publicTheme.faviconImage.data"
} }, [
    h("div.public__header", [
        h("div.public__header-image", [ h("img", { attributes: {
            "src-data": "publicTheme.logoImage.data"
        } }) ])
    ]),
    h("div.public__content", [
        h("div", [
            h("h1.-centered", [ "Your session has expired" ]),
            h("p.-centered", [ "Please reenter your email and password." ]),

            h("div", { attributes: {
                "sign-in-form": "restartSession($sessionKey)"
            } })
        ])
    ])
]),

h("div", { attributes: {
    "ng-if": "isSignedIn && (!currentUserDetails || !currentOrganizationDetails || !currentUserRooms)",
    "style": "font: 16px 'Source Sans Pro', sans-serif; color: #888; padding: 30px;"
} }, [
    "Loading..."
]),
h("div.admin-page", { attributes: {
    "ng-if": "isSignedIn && (currentUserDetails && currentOrganizationDetails)",
    "favicon-image-data": "theme.faviconImage.data"
} }, [
    h("div.header", { attributes: {
        "ng-class": "{ '-light-text': theme.isHeaderTextLight }",
        "ng-style": "{ backgroundColor: theme.headerBackgroundColor }"
    } }, [
        h("a._identity", { attributes: {
            "ng-hide": "'admin.overlay' | includedByState",
            "ui-sref": "admin.home",
            "background-image-data": "theme.portalLogoImage.data"
        } }, [ "RelayRobin" ]),

        h("div._message", { attributes: {
            "ng-class": "{ '-visible': $message.isVisible(), '-hiding': $message.isHiding(), '-success': $message.getType() === 'success', '-warning': $message.getType() === 'warning', '-error': $message.getType() === 'error' }",
            "ng-mouseover": "$message.setMouseOver(true)",
            "ng-mouseleave": "$message.setMouseOver(false)"
        } }, [
            "{{ $message.getText() }}",
            h("button._dismiss", { attributes: {
                "ng-click": "$message.dismiss()",
                "title": "Dismiss"
            } }, [ "Dismiss" ])
        ]),

        h("div._free-trial", { attributes: {
            "ng-hide": "'admin.overlay' | includedByState",
            "ng-if": "currentOrganizationDetails && currentOrganizationDetails.creditEndTime !== null && currentOrganizationDetails.isPlanTransitional"
        } }, [
            h("span", { attributes: {
                "ng-if": "getCurrentCreditRemainderDays(now) > 0"
            } }, [ h("span._indicator", [ "Trial" ]), "You have {{ getCurrentCreditRemainderDays(now) }} day(s) left." ]),
            h("span", { attributes: {
                "ng-if": "getCurrentCreditRemainderDays(now) <= 0"
            } }, [ h("span._indicator.-expired", [ "Trial Expired" ]), "Your trial has expired." ]),
            /* @todo check if plan offers an upgrade path */,
            h("a", { attributes: {
                "ui-sref": ".upgrade.contact"
            } }, [ "Upgrade now!" ])
        ]),

        h("div._free-trial", { attributes: {
            "ng-hide": "'admin.overlay' | includedByState",
            "ng-if": "currentOrganizationDetails.isSystemVendorRoot"
        } }, [
            h("span", { attributes: {
                "ng-if": "systemRemainderDays > 0 && systemRemainderDays <= 30"
            } }, [ h("span._indicator", [ "System License" ]), "You have {{ systemRemainderDays }} day(s) left." ]),
            h("span", { attributes: {
                "ng-if": "systemRemainderDays <= 0"
            } }, [ h("span._indicator", [ "System License Expired" ]), "Your system license has expired." ])
        ]),

        h("div._current-user", { attributes: {
            "ng-hide": "'admin.overlay' | includedByState",
            "ng-init": "isActive = false",
            "ng-class": "{ '-active': isActive }",
            "deep-blur": "isActive = false"
        } }, [
            h("button._options", { attributes: {
                "ng-click": "isActive = !isActive"
            } }, [
                h("span", [ "{{ currentUserDetails.firstName + ' ' + currentUserDetails.lastName }}" ])
            ]),
            h("ul._options-dropdown", { attributes: {
                "ng-click": "isActive = false",
                "ng-mousedown": "$event.preventDefault()"
            } }, [
                h("li", [ h("a", { attributes: {
                    "ui-sref": ".currentUserSettings",
                    "tabindex": "0"
                } }, [ "Reset Password" ]) ]),
                h("li", [ h("action-button.sign-out", { attributes: {
                    "do": "signOut()"
                } }, [ "Sign Out" ]) ])
            ])
        ])
    ]),

    h("div.admin-page__navigation", [
        h("main-navigation-sidebar", { attributes: {
            "label": "currentOrganizationDetails.label",
            "rooms": "currentUserRooms",
            "is-system-vendor-root": "currentOrganizationDetails.isSystemVendorRoot",
            "is-root-organization": "currentOrganizationDetails.isVendorRoot",
            "system-is-single-vendor": "currentOrganizationDetails.systemIsSingleVendor",
            "is-trial-plan": "currentOrganizationDetails.creditEndTime !== null",
            "is-credit-expired": "getCurrentCreditExpired(now)",
            "check-privilege": "userHasPrivilege",
            "theme": "theme"
        } }, [
        ])
    ]),

    h("div._content", { attributes: {
        "ui-view": ""
    } }),
    h("div", { attributes: {
        "ui-view": "overlay"
    } })
])